<?php
include 'is_logged.php'; //Archivo verifica que el usario que intenta acceder a la URL esta logueado
/*Inicia validacion del lado del servidor*/
if (empty($_POST['mod_id'])) {
    $errors[] = "ID vacío";
} else if (
    !empty($_POST['mod_id'])
) {
    /* Connect To Database*/
    require_once "../db.php";
    require_once "../php_conexion.php";
    // escaping, additionally removing everything that could be (html/javascript-) code
    $id_cliente = intval($_POST['id_cliente2']);
    $tel        = mysqli_real_escape_string($conexion, (strip_tags($_POST["tel2"], ENT_QUOTES)));
    $fecha      = mysqli_real_escape_string($conexion, (strip_tags($_POST["fecha2"], ENT_QUOTES)));
    $horai      = mysqli_real_escape_string($conexion, (strip_tags($_POST["horai2"], ENT_QUOTES)));
    $horaf      = mysqli_real_escape_string($conexion, (strip_tags($_POST["horaf2"], ENT_QUOTES)));
    $cantidad   = intval($_POST['cantidad2']);
    $id_salon   = intval($_POST['id_salon2']);
    $estado     = intval($_POST['estado2']);
    $obs        = mysqli_real_escape_string($conexion, (strip_tags($_POST["obs2"], ENT_QUOTES)));
    $id_reserva = intval($_POST['mod_id']);

    $sql = "UPDATE reservas SET  id_salon_res='" . $id_salon . "',
                                id_cliente_res='" . $id_cliente . "',
                                telefono_res='" . $tel . "',
                                cantidad_res='" . $cantidad . "',
                                fecha_res='" . $fecha . "',
                                hora_inicio_res='" . $horai . "',
                                hora_fin_res='" . $horaf . "',
                                obs_res='" . $obs . "',
                                estado_res='" . $estado . "'
                                WHERE id_reserva='" . $id_reserva . "'";
    $query_update = mysqli_query($conexion, $sql);
    if ($query_update) {
        $messages[] = "Reserva ha sido actualizada con Exito.";
    } else {
        $errors[] = "Lo siento algo ha salido mal intenta nuevamente." . mysqli_error($conexion);
    }
} else {
    $errors[] = "Error desconocido.";
}

if (isset($errors)) {

    ?>
    <div class="alert alert-danger" role="alert">
        <strong>Error!</strong>
        <?php
foreach ($errors as $error) {
        echo $error;
    }
    ?>
    </div>
    <?php
}
if (isset($messages)) {

    ?>
    <div class="alert alert-success" role="alert">
        <strong>¡Bien hecho!</strong>
        <?php
foreach ($messages as $message) {
        echo $message;
    }
    ?>
    </div>
    <?php
}

?>